PThreadPool< Work_T >::InternalWork Class Reference

`#include <threadpool.h>`

Inheritance diagram for PThreadPool< Work_T >::InternalWork:

## Public Member Functions

| InternalWork (WorkerThread *worker, Work_T *work, const char *group)

## Public Attributes

WorkerThread * | m_worker
Work_T * | m_work

## Constructor & Destructor Documentation

## InternalWork()

template<class Work_T>

PThreadPool< Work_T >::InternalWork::InternalWork | ( | WorkerThread * | worker,
|  | Work_T * | work,
|  | const char * | group
| ) |  |

inline

## Member Data Documentation

## m_work

template<class Work_T>

Work_T* PThreadPool< Work_T >::InternalWork::m_work

## m_worker

template<class Work_T>

WorkerThread* PThreadPool< Work_T >::InternalWork::m_worker

Referenced by PThreadPool< Work_T >::RemoveWork().

The documentation for this class was generated from the following file:

- threadpool.h